'
' Use WMI to get the collection of user accounts on the local machine
'
compName = "localhost"
Set wmi = GetObject("winmgmts:{impersonationLevel=impersonate}!//"& _ 
          compName & "\root\cimv2")
Set users = wmi.ExecQuery("SELECT * FROM Win32_UserAccount")
'
' Initialize the display string
'
disabledUsers = "Here is the list of disabled user accounts:"
'
' Run through the collection of user accounts
'
For Each user In users
    '
    ' Is the account disabled?
    '
    If user.Description = "" And user.Disabled Then
        '
        ' If so, add the account name to the string
        '
WScript.Echo user.Status
        disabledUsers = disabledUsers & vbCrLf & user.Name
    End If
Next 'user
'
' Display the string
'
If disabledUsers = "Here is the list of disabled user accounts:" Then
    WScript.Echo "There are no disabled accounts."
Else
    WScript.Echo disabledUsers
End If
